<template>
  <new-black-theme-m-header-title v-if="allowTheme" :title="$t('account')" />
  <el-tabs v-model="accountActiveTab" class="demo-tabs account-tab bk8-themes">
    <el-tab-pane :label="$t('account_information')" name="account">
      <template #label>
        <nuxt-link :to="ROUTES.ACCOUNT.INFO" class="py-4">{{
          $t("account_information")
        }}</nuxt-link>
      </template>
    </el-tab-pane>
    <el-tab-pane :label="$t('password')" name="account-password">
      <template #label>
        <nuxt-link :to="ROUTES.ACCOUNT.PASSWORD" class="py-4">{{
          $t("password")
        }}</nuxt-link>
      </template>
    </el-tab-pane>
  </el-tabs>
  <nuxt-page class="mb-[12vw]" />
</template>

<script lang="ts">
import { computed, defineComponent } from "vue";
import { store } from "@/store";

export default defineComponent({
  setup() {
    const route = useRoute();
    const accountActiveTab = computed(() => String(route.name));
    const arrayTheme = ["main", "black", "sbo", 'global', 'playful'];
    const allowTheme = computed(() =>
      arrayTheme.includes(store.state.selectedThemeName)
    );
    return {
      accountActiveTab,
      allowTheme,
    };
  },
});
</script>

<style lang="scss">
[layout="main"][theme-color="bk8"] .bk8-themes div.el-tabs__item {
  width: 50% !important;
}
</style>
